List orders
curl --request GET \
--url https://api.quivo.co/v2/orders/entry/{sellerId}/countries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/orders/entry/{sellerId}/countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/orders/entry/{sellerId}/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/orders/entry/{sellerId}/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/orders/entry/{sellerId}/countries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/orders/entry/{sellerId}/countries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/orders/entry/{sellerId}/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"countryIso2": "<string>",
"countryIso3": "<string>",
"countryName": "<string>",
"exportDocumentsRequired": true,
"shipToZip": "OPTIONAL",
"shipToState": "OPTIONAL"
}
]orders
List orders
List available destination countries for order entry for the specified seller.
GET
/
orders
/
entry
/
{sellerId}
/
countries
List orders
curl --request GET \
--url https://api.quivo.co/v2/orders/entry/{sellerId}/countries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/orders/entry/{sellerId}/countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/orders/entry/{sellerId}/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/orders/entry/{sellerId}/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/orders/entry/{sellerId}/countries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/orders/entry/{sellerId}/countries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/orders/entry/{sellerId}/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"countryIso2": "<string>",
"countryIso3": "<string>",
"countryName": "<string>",
"exportDocumentsRequired": true,
"shipToZip": "OPTIONAL",
"shipToState": "OPTIONAL"
}
]Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
The unique identifier for the seller account. This ID is used to scope operations to a specific seller's data and resources.
Response
Returns an array of OrderEntryCountry matching the request criteria.
Country code or name
Country code or name
The name of the country
Indicates whether export documents is required
ZIP or postal code
Available options:
OPTIONAL, REQUIRED, HIDDEN State or province
Available options:
OPTIONAL, REQUIRED, HIDDEN